
Redmine - Defect #12867

After creating a new wiki page, the project administrator cannot update that page

2013-01-16 13:37 - Marius-Constantin Postolache

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.1.0

Description

I have installed on a CentOS-6.3 Linux distribution the folowing:

Environment:

Redmine version                          2.1.0.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.9

Environment                              production

Database adapter                         MySQL

Redmine plugins:

redmine_logs                             0.0.5

wiking                                   0.0.3

After creating, as an administratot, a new wiki page, that page cannot be updated anymore, even by the administrator.

Adter editing the wiki page, if i click on "Preview" button, the displayed content is the one that should be displayed. So, only i submit

the wiki page form, the modifications are not saved.

Please help.

History

#1 - 2013-01-17 00:48 - Alex Shulgin

Redmine-2.1 is not compatible with Rails-3.2.9.  You need Redmine-2.2 instead (and actually you need to run Rails-3.2.11 which fixes critical security

issues.)

--

Alex

#2 - 2013-01-17 07:52 - Marius-Constantin Postolache

Thanks for the quick feedback. I will make the proper modifications tonight and get back with the results. Thanks again.

#3 - 2013-01-19 01:14 - Marius-Constantin Postolache

- Status changed from New to Resolved

Thanks.

That solved the problem.

New Redmine information:

Environment:

Redmine version                          2.2.1.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.11

Environment                              production

Database adapter                         MySQL

Redmine plugins:

no plugin installed

Thanks again

#4 - 2013-01-19 05:15 - Mischa The Evil

2025-07-08 1/2



- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
